# Created by pyp2rpm-3.3.2
%global pypi_name pytest-randomly

Name:           python-%{pypi_name}
Version:        3.4.1
Release:        %mkrel 1
Summary:        Pytest plugin to randomly order tests and control random
Group:          Development/Python
License:        BSD
URL:            https://github.com/pytest-dev/pytest-randomly
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pytest plugin to randomly order tests and control random.seed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Pytest plugin to randomly order tests and control random.seed.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/*.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_randomly.py
%{python3_sitelib}/pytest_randomly-%{version}-py?.?.egg-info


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 3.4.1-1.mga8
+ Revision: 1626460
- new version 3.4.1

* Tue May 19 2020 wally <wally> 3.3.1-1.mga8
+ Revision: 1586204
- new version 3.3.1

* Sat Feb 29 2020 wally <wally> 3.2.1-1.mga8
+ Revision: 1552096
- new version 3.2.1
- drop check

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-4.mga8
+ Revision: 1535240
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.0.0-3.mga8
+ Revision: 1451619
- rebuild with python 3.8

* Fri Aug 09 2019 wally <wally> 3.0.0-2.mga8
+ Revision: 1428369
- drop python2 support

* Sat Apr 20 2019 wally <wally> 3.0.0-1.mga7
+ Revision: 1394019
- imported package python-pytest-randomly

